commit: d702ff0f19553a4ce20317877fb09f7b7b9b845e
Author: Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 24 11:33:06 2021 +0000
Commit: Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Tue Aug 24 11:33:21 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d702ff0f
virtual/tmpfiles: do not require an impl on Prefix guest
Prefix guest installs don't boot, the host does, but the Prefix is
always there. Apart from systemd far from compiling on non-Linux, it
isn't necessary, so skip it.
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Fabian Groffen <grobian <AT> gentoo.org>
virtual/tmpfiles/tmpfiles-0-r1.ebuild | 10 ++++++----
1 file changed, 6 insertions(+), 4 deletions(-)
diff --git a/virtual/tmpfiles/tmpfiles-0-r1.ebuild
b/virtual/tmpfiles/tmpfiles-0-r1.ebuild
index 03ef3601895..ab126e516e9 100644
--- a/virtual/tmpfiles/tmpfiles-0-r1.ebuild
+++ b/virtual/tmpfiles/tmpfiles-0-r1.ebuild
@@ -8,8 +8,10 @@ SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390
sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
RDEPEND="
- || (
- sys-apps/systemd-tmpfiles
- sys-apps/opentmpfiles
- sys-apps/systemd
+ !prefix-guest? (
+ || (
+ sys-apps/systemd-tmpfiles
+ sys-apps/opentmpfiles
+ sys-apps/systemd
+ )
)"